package org.apache.maven;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 * @author <a href="mailto:bwalding@apache.org">Ben Walding</a>
 * @version $Id$
 */
public class ContentNotice
{
  public static final String INFO = "INFO";
  public static final String WARN = "WARNING";
  public static final String ERROR = "ERROR";

  private String section;
  private String message;
  private String level;

  public ContentNotice(String level, String section, String message)
  {
    this.level = level;
    this.section = section;
    this.message = message;
  }
  /**
   * @return String
   */
  public String getMessage()
  {
    return message;
  }

  /**
   * @return String
   */
  public String getSection()
  {
    return section;
  }

  /**
   * @return String
   */
  public String getLevel()
  {
    return level;
  }

  public String toString()
  {
    return level + " : " + section + " : " + message;
  }

}
